Bug 1157794 - Review Request: xpa - The X Public Access messaging system
Summary: Review Request: xpa - The X Public Access messaging system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 17:19 UTC by Sergio Pascual
Modified: 2014-11-20 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 22:20:31 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Sergio Pascual 2014-10-27 17:19:34 UTC
Spec URL: http://guaix.fis.ucm.es/~spr/fedora/xpa.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/xpa-2.1.15-1.fc22.src.rpm
Description: The XPA messaging system provides seamless communication between many kinds of Unix programs, including X programs and Tcl/Tk programs. 
It also provides an easy way for users to communicate with these 
XPA-enabled programs by executing XPA client commands in the shell or by 
utilizing such commands in scripts.
Fedora Account System Username: sergiopr

Comment 1 Sergio Pascual 2014-10-27 17:23:49 UTC
Notice this is the re-review required to unretire a package

https://admin.fedoraproject.org/pkgdb/package/xpa/

Comment 2 Christian Dersch 2014-10-28 12:15:08 UTC
Taken! Review will follow soon :)

Comment 4 Christian Dersch 2014-10-28 23:22:52 UTC
Review done. Package already looks fine :)

Some suggestions:
1.) Seperate -doc package
2.) You can remove Group tag from spec, it is obsolete


TODO:
1.) Inform upstream about wrong FSF address
2.) Check fully versioned dependency in subpackages

After you fixed this I will approve :)

Greetings,
Christian


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/xpa
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

====> This is a retired package coming back => Fine

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 41 files have unknown license. Detailed output of
     licensecheck in /home/packaging/1157794-xpa/licensecheck.txt

===> No GPL header in source files, but tar contains copy of LGPL and upstream mentions license => Fine

[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/tcl8.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/tcl8.6

===> Should be ok

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 491520 bytes in 25 files.

===> Documentation goes into -devel, maybe -doc subpackage (suggestion)?

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.

===> Builds fine on all primary architectures, see Koji builds above

[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xpa-devel ,
     xpa-libs , xpa-tcl

===> Imho you should add this, is cleaner

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.

===> Patch0 patches the Makefile for this Fedora build, no links to upstream required

[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2293760 bytes in /usr/share

===> I think an extra package doesn't make much sense in this case => OK

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xpa-2.1.15-1.fc22.x86_64.rpm
          xpa-devel-2.1.15-1.fc22.x86_64.rpm
          xpa-libs-2.1.15-1.fc22.x86_64.rpm
          xpa-tcl-2.1.15-1.fc22.x86_64.rpm
          xpa-2.1.15-1.fc22.src.rpm
xpa.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa/COPYING
xpa-devel.x86_64: W: only-non-binary-in-usr-lib
xpa-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
xpa-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa-libs/COPYING
xpa-tcl.x86_64: W: no-documentation
xpa-tcl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/tcl8.6/tclxpa/libtclxpa.so
5 packages and 0 specfiles checked; 2 errors, 4 warnings.

====> Please inform upstream about wrong FSF address


Rpmlint (installed packages)
----------------------------
# rpmlint xpa-tcl xpa-devel xpa xpa-libs
xpa-tcl.x86_64: W: no-documentation
xpa-tcl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/tcl8.6/tclxpa/libtclxpa.so
xpa-devel.x86_64: W: only-non-binary-in-usr-lib
xpa.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa/COPYING
xpa-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
xpa-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa-libs/COPYING
4 packages and 0 specfiles checked; 2 errors, 4 warnings.
# echo 'rpmlint-done:'

====> See above


Requires
--------
xpa-tcl (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libtclxpa.so.1()(64bit)
    rtld(GNU_HASH)
    xpa-libs

xpa-devel (rpmlib, GLIBC filtered):
    libxpa.so.1()(64bit)
    xpa-libs
    xpa-tcl

xpa (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)
    tcl(abi)
    xpa-libs

xpa-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
xpa-tcl:
    libtclxpa.so.1()(64bit)
    tcl-xpa
    xpa-tcl
    xpa-tcl(x86-64)

xpa-devel:
    xpa-devel
    xpa-devel(x86-64)

xpa:
    xpa
    xpa(x86-64)

xpa-libs:
    libxpa.so.1()(64bit)
    xpa-libs
    xpa-libs(x86-64)



Unversioned so-files
--------------------
xpa-tcl: /usr/lib64/tcl8.6/tclxpa/libtclxpa.so

===> Is a symlink to the versioned so-file. Is this neccessary?


Source checksums
----------------
http://hea-www.harvard.edu/saord/download/xpa/xpa-2.1.15.tar.gz :
  CHECKSUM(SHA256) this package     : ac0e041f9115757fbcbfeb377cb5833544815a70f2b46f6edfbf6d1239ae690a
  CHECKSUM(SHA256) upstream package : ac0e041f9115757fbcbfeb377cb5833544815a70f2b46f6edfbf6d1239ae690a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1157794
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Sergio Pascual 2014-10-29 11:31:48 UTC
My mock rawhide builder seems broken (something about mesa and llvm), I have created the SRPm in F21, which ships tcl 8.6 as Rawhide


Spec URL: http://guaix.fis.ucm.es/~spr/fedora/xpa.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/fedora/xpa-2.1.15-2.fc21.src.rpm

I have added the isa macro to Requires and a -doc subpackage. I have send a mail upstream about the wrong FSF address.

Comment 6 Christian Dersch 2014-10-29 12:48:37 UTC
Yep, problem with mesa and llvm is known for rawhide, some changes in last day(s) :(

Comment 7 Christian Dersch 2014-10-29 13:06:37 UTC
Koji build on Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=7975595

Comment 8 Christian Dersch 2014-10-29 13:12:45 UTC
Approved, should be fine :)

Greetings,
Christian


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/xpa
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
  
  
===> This is retired version of this package => fine


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 41 files have unknown license. Detailed output of
     licensecheck in /home/lupinix/1157794-xpa/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/tcl8.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/tcl8.6
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xpa-devel ,
     xpa-libs , xpa-tcl , xpa-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1843200 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xpa-2.1.15-2.fc22.x86_64.rpm
          xpa-devel-2.1.15-2.fc22.x86_64.rpm
          xpa-libs-2.1.15-2.fc22.x86_64.rpm
          xpa-tcl-2.1.15-2.fc22.x86_64.rpm
          xpa-doc-2.1.15-2.fc22.noarch.rpm
          xpa-2.1.15-2.fc22.src.rpm
xpa-devel.x86_64: W: only-non-binary-in-usr-lib
xpa-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
xpa-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa-libs/COPYING
xpa-tcl.x86_64: W: no-documentation
xpa-tcl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/tcl8.6/tclxpa/libtclxpa.so
xpa-doc.noarch: E: incorrect-fsf-address /usr/share/doc/xpa-doc/COPYING
6 packages and 0 specfiles checked; 2 errors, 4 warnings.


===> Email sent to upstream => fine

Rpmlint (installed packages)
----------------------------
# rpmlint xpa-tcl xpa-devel xpa xpa-doc xpa-libs
xpa-tcl.x86_64: W: no-documentation
xpa-tcl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/tcl8.6/tclxpa/libtclxpa.so
xpa-devel.x86_64: W: only-non-binary-in-usr-lib
xpa-doc.noarch: E: incorrect-fsf-address /usr/share/doc/xpa-doc/COPYING
xpa-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
xpa-libs.x86_64: E: incorrect-fsf-address /usr/share/doc/xpa-libs/COPYING
5 packages and 0 specfiles checked; 2 errors, 4 warnings.
# echo 'rpmlint-done:'

===> Email sent to upstream => fine

Requires
--------
xpa-tcl (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libtclxpa.so.1()(64bit)
    rtld(GNU_HASH)
    xpa-libs(x86-64)

xpa-devel (rpmlib, GLIBC filtered):
    libxpa.so.1()(64bit)
    xpa-libs(x86-64)
    xpa-tcl(x86-64)

xpa (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libxpa.so.1()(64bit)
    rtld(GNU_HASH)
    tcl(abi)

xpa-doc (rpmlib, GLIBC filtered):

xpa-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
xpa-tcl:
    libtclxpa.so.1()(64bit)
    tcl-xpa
    xpa-tcl
    xpa-tcl(x86-64)

xpa-devel:
    xpa-devel
    xpa-devel(x86-64)

xpa:
    xpa
    xpa(x86-64)

xpa-doc:
    xpa-doc

xpa-libs:
    libxpa.so.1()(64bit)
    xpa-libs
    xpa-libs(x86-64)



Unversioned so-files
--------------------
xpa-tcl: /usr/lib64/tcl8.6/tclxpa/libtclxpa.so

Source checksums
----------------
http://hea-www.harvard.edu/saord/download/xpa/xpa-2.1.15.tar.gz :
  CHECKSUM(SHA256) this package     : ac0e041f9115757fbcbfeb377cb5833544815a70f2b46f6edfbf6d1239ae690a
  CHECKSUM(SHA256) upstream package : ac0e041f9115757fbcbfeb377cb5833544815a70f2b46f6edfbf6d1239ae690a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1157794
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 Sergio Pascual 2014-10-29 14:08:02 UTC
Package Change Request
======================
Package Name: xpa
New Branches: f21 f20 f19
Owners: sergiopr

This is to unretire xpa

Comment 10 Gwyn Ciesla 2014-10-29 14:12:47 UTC
Git done (by process-git-requests).

Comment 11 Sergio Pascual 2014-11-04 09:36:26 UTC
Package Change Request
======================
Package Name: xpa
New Branches: devel
Owners: sergiopr

This is to unretire xpa in Rawhide

Comment 12 Gwyn Ciesla 2014-11-05 12:14:45 UTC
Complete.


Note You need to log in before you can comment on or make changes to this bug.